Skip to content

Finds contacts for an organization

Request

Returns a list of records with the specified organization_id. If the list is large, a results_uri is returned with a list that can be downloaded.

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

organization_idstringrequired

The organization_id to use to for record lookup

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned

exclusiveStartKeystring

If paging, this allows you to return the next set of results

contactRoleIdsstring

Filter by contact role IDs

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/organization/{organization_id}?fields=string&exclusiveStartKey=string&contactRoleIds=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Countinteger
ItemsArray of objects(Contact)
LastEvaluatedKeystring
Response
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }